# InterfaceGraphic_WNT.hxx File Reference

`#include <windows.h>`

## Defines

#define | STRICT
#define | WDF_NOERASEBKGRND 0x00000001
#define | WDF_FOREIGN 0x00000002
#define | faUnderlined 0x00000001
#define | faItalic 0x00000002
#define | faStrikeOut 0x00000004
#define | faBold 0x00000008
#define | faHeight 0x00000010
#define | faAngle 0x00000020
#define | faWidth 0x00000040
#define | faSlant 0x00000080

## Typedefs

typedef window_data | WINDOW_DATA
typedef font_data | FONT_DATA

## Functions

| __declspec (dllimport) long InterfaceGraphic_RealizePalette(HDC

## Variables

| HPALETTE
| BOOL

## Define Documentation

#define faAngle 0x00000020

#define faBold 0x00000008

#define faHeight 0x00000010

#define faItalic 0x00000002

#define faSlant 0x00000080

#define faStrikeOut 0x00000004

#define faUnderlined 0x00000001

#define faWidth 0x00000040

#define STRICT

#define WDF_FOREIGN 0x00000002

#define WDF_NOERASEBKGRND 0x00000001

## Typedef Documentation

typedef struct font_data FONT_DATA

typedef struct window_data WINDOW_DATA

## Function Documentation

__declspec | ( | dllimport |  | ) |

## Variable Documentation

BOOL

HPALETTE